<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class company_pros_SINGLE_Controller extends Controller
{
    public $selfName = 'company_pros_SINGLE_Controller';
    public $dashboardName = 'dashboard';

	// GET /company_pros/view/{uid}/ACTION_deactivate
	public function ACTION_deactivate(Request $request, $uid) {
		$record = DB::table('company_pro')->where('uid', $uid)->first();
		if(!$record) {
			$record = DB::table('company_pro')->where('id', $uid)->first();
			if($record) return redirect('/company_pros/view/' . $record->uid . '/ACTION_deactivate');
		}
		return response()->view('admin/company_pros_SINGLE/ACTION_deactivate', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /company_pros/view/{uid}/ACTION_updateDeactivationMemo
	public function ACTION_updateDeactivationMemo(Request $request, $uid) {
		$record = DB::table('company_pro')->where('uid', $uid)->first();
		if(!$record) {
			$record = DB::table('company_pro')->where('id', $uid)->first();
			if($record) return redirect('/company_pros/view/' . $record->uid . '/ACTION_updateDeactivationMemo');
		}
		return response()->view('admin/company_pros_SINGLE/ACTION_updateDeactivationMemo', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /company_pros/view/{uid}/ACTION_reactivate
	public function ACTION_reactivate(Request $request, $uid) {
		$record = DB::table('company_pro')->where('uid', $uid)->first();
		if(!$record) {
			$record = DB::table('company_pro')->where('id', $uid)->first();
			if($record) return redirect('/company_pros/view/' . $record->uid . '/ACTION_reactivate');
		}
		return response()->view('admin/company_pros_SINGLE/ACTION_reactivate', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /company_pros/view/{uid}/ACTION_updateReactivationMemo
	public function ACTION_updateReactivationMemo(Request $request, $uid) {
		$record = DB::table('company_pro')->where('uid', $uid)->first();
		if(!$record) {
			$record = DB::table('company_pro')->where('id', $uid)->first();
			if($record) return redirect('/company_pros/view/' . $record->uid . '/ACTION_updateReactivationMemo');
		}
		return response()->view('admin/company_pros_SINGLE/ACTION_updateReactivationMemo', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /company_pros/view/{uid}/SUB_dashboard
	public function SUB_dashboard(Request $request, $uid) {
		$record = DB::table('company_pro')->where('uid', $uid)->first();
		if(!$record) {
			$record = DB::table('company_pro')->where('id', $uid)->first();
			if($record) return redirect('/company_pros/view/' . $record->uid . '/SUB_dashboard');
		}
		return response()->view('admin/company_pros_SINGLE/SUB_dashboard', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}
}
