<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class note_template_section_templates_SINGLE_Controller extends Controller
{
    public $selfName = 'note_template_section_templates_SINGLE_Controller';
    public $dashboardName = 'dashboard';

	// GET /note_template_section_templates/view/{uid}/ACTION_updateHeading
	public function ACTION_updateHeading(Request $request, $uid) {
		$record = DB::table('note_template_section_template')->where('uid', $uid)->first();
		if(!$record) {
			$record = DB::table('note_template_section_template')->where('id', $uid)->first();
			if($record) return redirect('/note_template_section_templates/view/' . $record->uid . '/ACTION_updateHeading');
		}
		return response()->view('admin/note_template_section_templates_SINGLE/ACTION_updateHeading', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /note_template_section_templates/view/{uid}/SUB_dashboard
	public function SUB_dashboard(Request $request, $uid) {
		$record = DB::table('note_template_section_template')->where('uid', $uid)->first();
		if(!$record) {
			$record = DB::table('note_template_section_template')->where('id', $uid)->first();
			if($record) return redirect('/note_template_section_templates/view/' . $record->uid . '/SUB_dashboard');
		}
		return response()->view('admin/note_template_section_templates_SINGLE/SUB_dashboard', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}
}
