<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class pro_text_shortcuts_Controller extends Controller
{
    public $selfName = 'pro_text_shortcuts_Controller';
    public $dashboardName = 'dashboard';

	// GET /pro_text_shortcuts
	public function index(Request $request) {
		$records = DB::table('pro_text_shortcut')->get();
		return response()->view('admin/pro_text_shortcuts/index', compact('records'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pro_text_shortcuts/add_new
	public function add_new(Request $request) {
		$records = DB::table('pro_text_shortcut')->get();
		return response()->view('admin/pro_text_shortcuts/add_new', compact('records'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pro_text_shortcuts/view/{uid}
	public function view(Request $request, $uid) {
		return redirect("/pro_text_shortcuts/view/$uid/SUB_dashboard");
	}
}
