@extends('layouts.pro-logged-in')
@section('content')

    <h3 class="d-flex my-3 px-3 stag-heading stag-heading-index">
        <div>Note Template Section Templates: List</div>
        <div class="ml-auto">
            <!-- _ADD_NEW_LINK_ -->
        </div>
    </h3>

    <div class="table-responsive p-0 bg-white border stag-table stag-table-index">
        <table class="table table-hover text-nowrap table-striped">
            <thead>
            <tr>
<th>&nbsp;</th>
<th>Created At</th>
<th>Type</th>
<th>Position Index</th>
<th>Created By Session Id</th>
<th>Note Template Id</th>
<th>Section Template Id</th>
<th>Detail Json</th>
<th>Is Removable</th>
<th>Heading</th>
            </tr>
            </thead>
            <tbody>
            @foreach($records as $record)
                <tr>
<td><a href="/note_template_section_templates/view/<?= $record->uid ?>"><i class="fas fa-share-square"></i></a></td>
<td><?= friendly_date_time($record->created_at) ?></td>
<td><?= $record->type ?></td>
<td><?= $record->position_index ?></td>
<td><?= $record->created_by_session_id ?></td>
<td><?= $record->note_template_id ?></td>
<td><?= $record->section_template_id ?></td>
<td><?= $record->detail_json ?></td>
<td><?= $record->is_removable ?></td>
<td><?= $record->heading ?></td>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>

@endsection
