@extends('pro.clients.view')
@section('content-inner')

    <div class="pb-3">

        <h5 class='my-3 d-flex stag-heading stag-heading-sub'>
            <div>Care Months</div>
            <div class="ml-auto">
                <a class="btn btn-primary btn-sm ml-2" up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href="{{route('clients_SINGLE-ACTION_add_new_care_month', ['uid' => $record->uid])}}?optimised=1"><i class='fa fa-plus-circle' aria-hidden='true'></i> Add New</a>
            </div>
        </h5>

        <div class="table-responsive p-0 bg-white border stag-table stag-table-sub">
            <table class="table table-hover text-nowrap">
                <thead>
                <tr>
                    <th>&nbsp;</th>
<th>Created At</th>
<th>Type</th>
<th>Cm Reason1</th>
<th>Cm Reason2</th>
<th>Cm Total Time In Seconds</th>
<th>Cm Total Time In Seconds By Cm Pro</th>
<th>Cm Total Time In Seconds By Mcp</th>
<th>Has Mcp Done Em Visit</th>
<th>Is Client Enrolled In Cm</th>
<th>Is Client Enrolled In Rm</th>
<th>Is Cm Canceled This Month</th>
<th>Is Rm Canceled This Month</th>
<th>Is Tm This Month</th>
<th>Rm Total Time In Seconds</th>
<th>Rm Total Time In Seconds By Mcp</th>
<th>Rm Total Time In Seconds By Rme Pro</th>
<th>Rm Total Time In Seconds By Rmm Pro</th>
<th>Start Date</th>
<th>Why Is Cm Canceled This Month</th>
<th>Why Is Rm Canceled This Month</th>
<th>Why Not Enrolled In Cm Category</th>
<th>Why Not Enrolled In Cm Memo</th>
<th>Why Not Enrolled In Rm Category</th>
<th>Why Not Enrolled In Rm Memo</th>
<th>Created By Session Id</th>
<th>Client Id</th>
<th>Cm Bill Id</th>
<th>Cm Pro Id</th>
<th>Mcp Pro Id</th>
<th>Rm Bill Id</th>
<th>Rme Pro Id</th>
<th>Rmm Pro Id</th>
<th>Rms Pro Id</th>
<th>Rmg Pro Id</th>
<th>Rm Total Time In Seconds By Rms Pro</th>
<th>Rm Total Time In Seconds By Rmg Pro</th>
<th>Detail Json</th>
<th>Rm Reasons</th>
<th>Number Of Days With Remote Measurements</th>
<th>Is Bill Closed</th>
<th>Bill Closed At</th>
<th>Bill Closed By Session Id</th>
<th>Bill Closed By Pro Id</th>
<th>Is Billing Marked Done</th>
<th>Billing Marked Done By Session Id</th>
<th>Billing Marked Done By Pro Id</th>
<th>Billing Marked Done At</th>
<th>Claim Total Expected</th>
<th>Is Claim Closed</th>
<th>Claim Closed At</th>
<th>Claim Closed By Session Id</th>
<th>Claim Closed By Pro Id</th>
<th>Claim Summary</th>
<th>Claim Total Paid</th>
<th>Company Pro Payer Id</th>
<th>Company Pro Id</th>
<th>Company Id</th>
<th>Company Location Id</th>
                </tr>
                </thead>
                <tbody>
                @foreach($subRecords as $subRecord)
                    <tr>
                        <td><a href="/care_months/view/{{ $subRecord->uid }}"><i class="fas fa-share-square"></i></a></td>
<td><?= friendly_date_time($subRecord->created_at) ?></td>
<td><?= $subRecord->type ?></td>
<td><?= $subRecord->cm_reason1 ?></td>
<td><?= $subRecord->cm_reason2 ?></td>
<td><?= $subRecord->cm_total_time_in_seconds ?></td>
<td><?= $subRecord->cm_total_time_in_seconds_by_cm_pro ?></td>
<td><?= $subRecord->cm_total_time_in_seconds_by_mcp ?></td>
<td><?= $subRecord->has_mcp_done_em_visit ?></td>
<td><?= $subRecord->is_client_enrolled_in_cm ?></td>
<td><?= $subRecord->is_client_enrolled_in_rm ?></td>
<td><?= $subRecord->is_cm_canceled_this_month ?></td>
<td><?= $subRecord->is_rm_canceled_this_month ?></td>
<td><?= $subRecord->is_tm_this_month ?></td>
<td><?= $subRecord->rm_total_time_in_seconds ?></td>
<td><?= $subRecord->rm_total_time_in_seconds_by_mcp ?></td>
<td><?= $subRecord->rm_total_time_in_seconds_by_rme_pro ?></td>
<td><?= $subRecord->rm_total_time_in_seconds_by_rmm_pro ?></td>
<td><?= $subRecord->start_date ?></td>
<td><?= $subRecord->why_is_cm_canceled_this_month ?></td>
<td><?= $subRecord->why_is_rm_canceled_this_month ?></td>
<td><?= $subRecord->why_not_enrolled_in_cm_category ?></td>
<td><?= $subRecord->why_not_enrolled_in_cm_memo ?></td>
<td><?= $subRecord->why_not_enrolled_in_rm_category ?></td>
<td><?= $subRecord->why_not_enrolled_in_rm_memo ?></td>
<td><?= $subRecord->created_by_session_id ?></td>
<td><?= $subRecord->client_id ?></td>
<td><?= $subRecord->cm_bill_id ?></td>
<td><?= $subRecord->cm_pro_id ?></td>
<td><?= $subRecord->mcp_pro_id ?></td>
<td><?= $subRecord->rm_bill_id ?></td>
<td><?= $subRecord->rme_pro_id ?></td>
<td><?= $subRecord->rmm_pro_id ?></td>
<td><?= $subRecord->rms_pro_id ?></td>
<td><?= $subRecord->rmg_pro_id ?></td>
<td><?= $subRecord->rm_total_time_in_seconds_by_rms_pro ?></td>
<td><?= $subRecord->rm_total_time_in_seconds_by_rmg_pro ?></td>
<td><?= $subRecord->detail_json ?></td>
<td><?= $subRecord->rm_reasons ?></td>
<td><?= $subRecord->number_of_days_with_remote_measurements ?></td>
<td><?= $subRecord->is_bill_closed ?></td>
<td><?= friendly_date_time($subRecord->bill_closed_at) ?></td>
<td><?= $subRecord->bill_closed_by_session_id ?></td>
<td><?= $subRecord->bill_closed_by_pro_id ?></td>
<td><?= $subRecord->is_billing_marked_done ?></td>
<td><?= $subRecord->billing_marked_done_by_session_id ?></td>
<td><?= $subRecord->billing_marked_done_by_pro_id ?></td>
<td><?= friendly_date_time($subRecord->billing_marked_done_at) ?></td>
<td><?= $subRecord->claim_total_expected ?></td>
<td><?= $subRecord->is_claim_closed ?></td>
<td><?= friendly_date_time($subRecord->claim_closed_at) ?></td>
<td><?= $subRecord->claim_closed_by_session_id ?></td>
<td><?= $subRecord->claim_closed_by_pro_id ?></td>
<td><?= $subRecord->claim_summary ?></td>
<td><?= $subRecord->claim_total_paid ?></td>
<td><?= $subRecord->company_pro_payer_id ?></td>
<td><?= $subRecord->company_pro_id ?></td>
<td><?= $subRecord->company_id ?></td>
<td><?= $subRecord->company_location_id ?></td>
                    </tr>
                @endforeach
                </tbody>
            </table>
        </div>

    </div>

@endsection
