@extends('layouts.pro-logged-in')
@section('content')

    <h3 class="d-flex my-3 px-3 stag-heading stag-heading-index">
        <div>Company Pros: List</div>
        <div class="ml-auto">
            
        </div>
    </h3>

    <div class="table-responsive p-0 bg-white border stag-table stag-table-index">
        <table class="table table-hover text-nowrap table-striped">
            <thead>
            <tr>
<th>&nbsp;</th>
<th>Pro Id</th>
<th>Company Id</th>
<th>Created At</th>
<th>Created By Session Id</th>
<th>Type</th>
<th>Is Active</th>
<th>Deactivated At</th>
<th>Deactivated By Session Id</th>
<th>Deactivation Memo</th>
<th>Reactivated At</th>
<th>Reactivated By Session Id</th>
<th>Reactivation Memo</th>
<th>Detail Json</th>
<th>Status</th>
<th>Status Memo</th>
<th>Status Updated At</th>
<th>Status Updated By Session Id</th>
<th>Signature Access Token</th>
<th>Is Signature Access Token Valid</th>
<th>Signature Access Token Set At</th>
            </tr>
            </thead>
            <tbody>
            @foreach($records as $record)
                <tr>
<td><a href="/company_pros/view/<?= $record->uid ?>"><i class="fas fa-share-square"></i></a></td>
<td><?= $record->pro_id ?></td>
<td><?= $record->company_id ?></td>
<td><?= friendly_date_time($record->created_at) ?></td>
<td><?= $record->created_by_session_id ?></td>
<td><?= $record->type ?></td>
<td><?= $record->is_active ?></td>
<td><?= friendly_date_time($record->deactivated_at) ?></td>
<td><?= $record->deactivated_by_session_id ?></td>
<td><?= $record->deactivation_memo ?></td>
<td><?= friendly_date_time($record->reactivated_at) ?></td>
<td><?= $record->reactivated_by_session_id ?></td>
<td><?= $record->reactivation_memo ?></td>
<td><?= $record->detail_json ?></td>
<td><?= $record->status ?></td>
<td><?= $record->status_memo ?></td>
<td><?= friendly_date_time($record->status_updated_at) ?></td>
<td><?= $record->status_updated_by_session_id ?></td>
<td><?= $record->signature_access_token ?></td>
<td><?= $record->is_signature_access_token_valid ?></td>
<td><?= friendly_date_time($record->signature_access_token_set_at) ?></td>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>

@endsection
