@extends('layouts.pro-logged-in')
@section('content')

    <h3 class="d-flex my-3 px-3 stag-heading stag-heading-index">
        <div>Isms: List</div>
        <div class="ml-auto">
            <!-- _ADD_NEW_LINK_ -->
        </div>
    </h3>

    <div class="table-responsive p-0 bg-white border stag-table stag-table-index">
        <table class="table table-hover text-nowrap table-striped">
            <thead>
            <tr>
<th>&nbsp;</th>
<th>Message</th>
<th>To Number</th>
<th>From Number</th>
<th>Was Sending Attempted</th>
<th>Sending Attempted At</th>
<th>Was Sending Successful</th>
<th>Sending Attempt Response</th>
<th>Created At</th>
<th>Created By Session Id</th>
<th>Type</th>
<th>Detail Json</th>
            </tr>
            </thead>
            <tbody>
            @foreach($records as $record)
                <tr>
<td><a href="/isms/view/<?= $record->uid ?>"><i class="fas fa-share-square"></i></a></td>
<td><?= $record->message ?></td>
<td><?= $record->to_number ?></td>
<td><?= $record->from_number ?></td>
<td><?= $record->was_sending_attempted ?></td>
<td><?= friendly_date_time($record->sending_attempted_at) ?></td>
<td><?= $record->was_sending_successful ?></td>
<td><?= $record->sending_attempt_response ?></td>
<td><?= friendly_date_time($record->created_at) ?></td>
<td><?= $record->created_by_session_id ?></td>
<td><?= $record->type ?></td>
<td><?= $record->detail_json ?></td>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>

@endsection
